Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SearchResults Class Reference

`#include <SearchResults.h>`

## Public Member Functions

| SearchResults ()
| SearchResults (std::vector< std::unique_ptr< ROMol > > &&mols, size_t maxNumRes, bool timedOut, bool cancelled)
| SearchResults (const SearchResults &other)
| SearchResults (SearchResults &&other)=default
| ~SearchResults ()=default
SearchResults & | operator= (const SearchResults &other)
SearchResults & | operator= (SearchResults &&other)=default
size_t | getMaxNumResults () const
const std::vector< std::unique_ptr< ROMol > > & | getHitMolecules () const
bool | getTimedOut () const
bool | getCancelled () const

## Detailed Description

Definition at line 18 of file SearchResults.h.

## Constructor & Destructor Documentation

## SearchResults() [1/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( |  | ) |

inline explicit

Definition at line 20 of file SearchResults.h.

## SearchResults() [2/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | std::vector< std::unique_ptr< ROMol > > && | mols,
|  | size_t | maxNumRes,
|  | bool | timedOut,
|  | bool | cancelled
| ) |  |

inline

Definition at line 67 of file SearchResults.h.

## SearchResults() [3/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | const SearchResults & | other | ) |

inline

Definition at line 75 of file SearchResults.h.

References RDKit::rdvalue_is().

## SearchResults() [4/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | SearchResults && | other | ) |

default

## ~SearchResults()

RDKit::SynthonSpaceSearch::SearchResults::~SearchResults | ( |  | ) |

default

## Member Function Documentation

## getCancelled()

bool RDKit::SynthonSpaceSearch::SearchResults::getCancelled | ( |  | ) | const

inline

Returns whether the search was cancelled or not,

Returns
  bool

Definition at line 58 of file SearchResults.h.

## getHitMolecules()

const std::vector< std::unique_ptr< ROMol > > & RDKit::SynthonSpaceSearch::SearchResults::getHitMolecules | ( |  | ) | const

inline

Returns the hits from the search. Not necessarily all those possible, just the maximum number requested.

Returns
  std::vector<std::unique_ptr<ROMol>>

Definition at line 45 of file SearchResults.h.

## getMaxNumResults()

size_t RDKit::SynthonSpaceSearch::SearchResults::getMaxNumResults | ( |  | ) | const

inline

Returns the upper bound on the number of results the search might return. There may be fewer than this in practice for several reasons such as duplicate reagent sets being removed or the final product not matching the query even though the synthons suggested it would.

Returns
  int

Definition at line 38 of file SearchResults.h.

## getTimedOut()

bool RDKit::SynthonSpaceSearch::SearchResults::getTimedOut | ( |  | ) | const

inline

Returns whether the search timed out or not,

Returns
  bool

Definition at line 53 of file SearchResults.h.

## operator=() [1/2]

SearchResults & RDKit::SynthonSpaceSearch::SearchResults::operator= | ( | const SearchResults & | other | ) |

## operator=() [2/2]

SearchResults & RDKit::SynthonSpaceSearch::SearchResults::operator= | ( | SearchResults && | other | ) |

default

The documentation for this class was generated from the following file:

- SearchResults.h